%token IF
%token THEN
%token REPEAT
%token Term_func_heading
%token Term_block
%token Term_rec_var_list
%token Term_opt_declarations
%token OF
%token SBEGIN
%token Term_external_files
%token WHILE
%token Term_program
%token Term_direction
%token Term_declarations
%token DO
%token Term_proc_or_func
%token Term_declaration
%token WITH
%token UNSIGNED_INT
%token UNTIL
%token Term_ident
%token END
%token Term_proc_dcl_part
%token ELSE
%token Term_body
%token CASE
%token BECOMES
%token Term_proc_heading
%token Term_expression
%token FOR
%token PROGRAM
%token Term_newident

%%

program :  Term_program
|  PROGRAM Term_newident Term_external_files ';' block '.'
;

compound_stmt :  SBEGIN statements END
;

unsigned_num :  UNSIGNED_INT
;

declaration :  Term_declaration
|  proc_dcl_part
;

declarations :  Term_declarations
|  declaration
|  declarations declaration
;

case_label_list :  case_label
;

proc_or_func :  Term_proc_or_func
|  Term_func_heading ';' body ';'
|  Term_proc_heading ';' body ';'
;

label :  UNSIGNED_INT
;

statement :  compound_stmt
|  WITH Term_rec_var_list DO statement
|  IF Term_expression THEN statement ELSE statement
|  FOR Term_ident BECOMES Term_expression Term_direction Term_expression DO statement
|  WHILE Term_expression DO statement
|  IF Term_expression THEN statement
|  CASE Term_expression OF case_list END
|  REPEAT statements UNTIL Term_expression
|  label ':' statement
| 
;

proc_dcl_part :  Term_proc_dcl_part
|  proc_or_func
;

case_list :  case_list_elem
|  case_list ';' case_list_elem
;

block :  Term_block
|  opt_declarations statement_part
;

case_label :  constant
;

opt_declarations :  Term_opt_declarations
|  declarations
;

constant :  unsigned_num
;

statements :  statements ';' statement
|  statement
;

statement_part :  compound_stmt
;

body :  Term_body
|  block
;

case_list_elem : 
|  case_label_list ':' statement
;
