%token COMPARISON_OPERATOR
%token NULL_VALUE
%token BY
%token Term_y_table
%token Term_y_order
%token Term_y_sql
%token Term_y_select
%token EQUAL
%token Term_y_assignments
%token NAME
%token UPDATE
%token WHERE
%token Term_y_term
%token Term_y_delete
%token SET
%token SELECT
%token AND
%token Term_y_product
%token NOT
%token Term_y_expression
%token Term_y_sub_condition2
%token Term_y_boolean
%token ORDER
%token DELETE
%token FROM
%token IS
%token Term_y_atom
%token Term_y_assignment
%token Term_y_columns
%token OR
%token Term_y_sub_condition
%token Term_y_comparison
%token Term_y_update
%token Term_y_condition

%%

y_sql :  Term_y_sql
|  y_update
|  y_select
|  y_delete
;

y_assignments :  Term_y_assignments
|  y_assignment
|  y_assignments ',' y_assignment
;

y_update :  Term_y_update
|  UPDATE Term_y_table SET y_assignments WHERE y_condition
|  UPDATE Term_y_table SET y_assignments
;

y_comparison :  Term_y_comparison
|  y_expression EQUAL y_expression
|  y_expression IS NULL_VALUE
|  y_expression COMPARISON_OPERATOR y_expression
|  y_expression NOT NULL_VALUE
;

y_expression :  Term_y_expression
|  y_product
|  y_expression '+' y_product
|  y_expression '-' y_product
|  '(' y_expression ')'
;

y_sub_condition2 :  Term_y_sub_condition2
|  y_sub_condition2 AND y_boolean
|  y_boolean
;

y_product :  Term_y_product
|  y_product '/' y_term
|  y_term
|  y_product '*' y_term
;

y_atom :  Term_y_atom
|  '(' y_expression ')'
;

y_sub_condition :  Term_y_sub_condition
|  y_sub_condition OR y_sub_condition2
|  y_sub_condition2
;

y_condition :  Term_y_condition
|  y_sub_condition
;

y_assignment :  Term_y_assignment
|  NAME EQUAL y_expression
;

y_term :  Term_y_term
|  '-' y_term
|  y_atom
;

y_boolean :  Term_y_boolean
|  NOT y_boolean
|  '(' y_sub_condition ')'
|  y_comparison
;

y_select :  Term_y_select
|  SELECT Term_y_columns FROM Term_y_table WHERE y_condition ORDER BY Term_y_order
|  SELECT Term_y_columns FROM Term_y_table WHERE y_condition
;

y_delete :  Term_y_delete
|  DELETE FROM Term_y_table WHERE y_condition
;
